editors/neovim - The NetBSD Packages Collection

Vim fork focused on extensibility and usability

Neovim is a project that seeks to aggressively refactor the "Vim"
text editor in order to:

* Simplify maintenance and encourage contributions
* Split the work between multiple developers
* Enable advanced UIs without modifications to the core
* Maximize extensibility

Build dependencies

devel/gperf pkgtools/mktools devel/cmake devel/pkgconf pkgtools/cwrappers

Runtime dependencies

devel/lua-lpeg devel/lua-mpack devel/lua-luv devel/lua-inspect devel/lua-filesystem devel/lua-BitOp devel/libtermkey devel/unibilium devel/libuv devel/libvterm03 devel/lua-luv devel/msgpack graphics/hicolor-icon-theme lang/LuaJIT2 textproc/tree-sitter devel/unibilium devel/libvterm03 graphics/hicolor-icon-theme

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64neovim-0.7.2.tgz
NetBSD 10.0aarch64neovim-0.8.1.tgz
NetBSD 10.0i386neovim-0.7.2.tgz
NetBSD 10.0powerpcneovim-0.7.2.tgz
NetBSD 10.0powerpcneovim-0.7.2.tgz
NetBSD 10.0x86_64neovim-0.8.1.tgz
NetBSD 10.0x86_64neovim-0.7.2.tgz
NetBSD 9.0aarch64neovim-0.7.2.tgz
NetBSD 9.0aarch64neovim-0.7.0.tgz
NetBSD 9.0aarch64neovim-0.8.1.tgz
NetBSD 9.0alphaneovim-0.7.0.tgz
NetBSD 9.0alphaneovim-0.7.2.tgz
NetBSD 9.0i386neovim-0.7.0.tgz
NetBSD 9.0i386neovim-0.7.0.tgz
NetBSD 9.0i386neovim-0.7.2.tgz
NetBSD 9.0powerpcneovim-0.7.2.tgz
NetBSD 9.0powerpcneovim-0.7.0.tgz
NetBSD 9.0powerpcneovim-0.7.2.tgz
NetBSD 9.0sparc64neovim-0.7.0.tgz
NetBSD 9.0sparc64neovim-0.7.2.tgz
NetBSD 9.0x86_64neovim-0.7.0.tgz
NetBSD 9.0x86_64neovim-0.7.0.tgz
NetBSD 9.0x86_64neovim-0.7.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.